Bug 1302872 - Review Request: python-sqlacodegen - Automatic model code generator for SQLAlchemy
Review Request: python-sqlacodegen - Automatic model code generator for SQLAl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ilya Gradina
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 15:39 EST by Igor Gnatenko
Modified: 2016-02-14 21:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-14 21:54:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ilya.gradina: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2016-01-28 15:39:49 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/python-sqlacodegen.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/python-sqlacodegen-1.1.6-1.fc24.src.rpm
Description:
This is a tool that reads the structure of an existing database and generates
the appropriate SQLAlchemy model code, using the declarative style if possible.

This tool was written as a replacement for sqlautocode, which was suffering
from several issues (including, but not limited to, incompatibility with
Python 3 and the latest SQLAlchemy version).

Features
* Supports SQLAlchemy 0.6.x - 1.0.x
* Produces declarative code that almost looks like it was hand written
* Produces PEP 8 compliant code
* Accurately determines relationships, including many-to-many, one-to-one
* Automatically detects joined table inheritance
* Excellent test coverage
Fedora Account System Username: ignatenkobrain
Comment 1 Ilya Gradina 2016-01-28 16:28:14 EST
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[-]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 6 files have unknown license. Detailed
     output of licensecheck in /home/ilgrad/1302872-python-
     sqlacodegen/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[?]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-sqlacodegen , python3-sqlacodegen
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-sqlacodegen-1.1.6-1.fc24.noarch.rpm
          python3-sqlacodegen-1.1.6-1.fc24.noarch.rpm
          python-sqlacodegen-1.1.6-1.fc24.src.rpm
python2-sqlacodegen.noarch: W: spelling-error %description -l en_US sqlautocode -> autoclave
python3-sqlacodegen.noarch: W: spelling-error %description -l en_US sqlautocode -> autoclave
python3-sqlacodegen.noarch: W: no-manual-page-for-binary sqlacodegen
python-sqlacodegen.src: W: spelling-error %description -l en_US sqlautocode -> autoclave
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python3-sqlacodegen.noarch: W: spelling-error %description -l en_US sqlautocode -> autoclave
python3-sqlacodegen.noarch: W: no-manual-page-for-binary sqlacodegen
python2-sqlacodegen.noarch: W: spelling-error %description -l en_US sqlautocode -> autoclave
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
python3-sqlacodegen (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-inflect
    python3-sqlalchemy

python2-sqlacodegen (rpmlib, GLIBC filtered):
    python(abi)
    python-inflect
    python-sqlalchemy



Provides
--------
python3-sqlacodegen:
    python3-sqlacodegen

python2-sqlacodegen:
    python-sqlacodegen
    python2-sqlacodegen



Source checksums
----------------
https://pypi.python.org/packages/source/s/sqlacodegen/sqlacodegen-1.1.6.tar.gz :
  CHECKSUM(SHA256) this package     : 3e025a49cd2430b6919e77d99cf5ad94ec80a88296b9a22984d9335f817373de
  CHECKSUM(SHA256) upstream package : 3e025a49cd2430b6919e77d99cf5ad94ec80a88296b9a22984d9335f817373de


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1302872 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Gwyn Ciesla 2016-01-29 06:48:13 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-sqlacodegen
Comment 3 Fedora Update System 2016-01-31 06:00:00 EST
python-sqlacodegen-1.1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-98950303d4
Comment 4 Fedora Update System 2016-02-01 02:51:43 EST
python-sqlacodegen-1.1.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-98950303d4
Comment 5 Fedora Update System 2016-02-14 21:54:35 EST
python-sqlacodegen-1.1.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.